function initialize()
{
  Tux.deactivate();
  logo <- FloatingImage("levels/Skitt_land_Remastered/Custom/skittland_logo.png");
  Text.set_pos(0, 180);
  Text.set_text(_("Five years after Penny's kidnapping at the Skittles continent..."));
  Camera.scroll_to(900 0 0);
  Effect.sixteen_to_nine(0);
  Effect.fade_out(0);
  wait(1);
  Effect.fade_in(2);
  Camera.scroll_to(0 248 15);
  wait(4);
  Text.fade_in(1);
  wait(3);
  Text.fade_out(1);
  wait(5);
  Tux.walk(200);
  wait(1);
  Tux.walk(100);
  wait(0.2);
  Tux.walk(50);
  wait(0.2);
  Tux.walk(25);
  wait(0.2);
  Tux.walk(0);
  wait(1);
  Text.set_text(_("Tux, the penguin, still had the \"Theory of Unknown Worlds\", after leaving the shores of Antarctica."));
  Text.fade_in(1);
  wait(1);
  Camera.set_mode("normal");
  wait(3);
  Tux.walk(200);
  Text.fade_out(1);
  wait(2);
  Text.set_text(_("And that's why he traveled to a special place..."));
  Text.fade_in(1);
  wait(4);
  Text.fade_out(1);
  wait(2);
  logo.fade_in(1);
  wait(3);
  trigger_state("scene2");
}

function scene2()
{
  Effect.fade_out(2);
  wait(2.1);
  gradient.fade_colors(0.7, 0.3, 0.5, 0.35, 0.2, 0.3, 1);
  sector.settings.fade_to_ambient_light(1, 0.7, 0.8, 0);
  sector.skybox.set_color(0.9, 0.7, 0.7, 1);
  sector.clouds.set_color(0.9, 0.7, 0.7, 1);
  sector.parallax1.set_color(0.8, 0.6, 0.6, 1);
  sector.parallax2.set_color(0.9, 0.7, 0.7, 1);
  sector.parallax3.set_color(0.9, 0.7, 0.7, 1);
  Tux.walk(0);
  snowparticles.set_enabled(true);
  wait(0.5);
  logo.fade_out(1);
  Camera.set_mode("manual");
  Camera.scroll_to(4500 100 0);
  wait(3);
  Camera.scroll_to(7800 300 40);
  Effect.fade_in(2);
  wait(5);
  Text.set_text(_("Over the last few years, this has become a place, where many bounty hunters come every year."));
  Text.fade_in(1);
  wait(5);
  Text.fade_out(1);
  wait(1.5);
  Text.set_text(_("They always get all the shiny gold from here, and leave this place very empty."));
  Text.fade_in(1);
  wait(6);
  Text.fade_out(1);
  wait(3);
  Text.set_text(_("Luckily, most of the zones still have many unique shinnies, and those are the sites Tux is travelling to right now."));
  Text.fade_in(1);
  wait(6);
  Text.fade_out(1);
  wait(3);
  Text.set_text(_("Hoping to not have any conflicts with anyone this time..."));
  Text.fade_in(1);
  wait(4);
  Text.fade_out(1);
  wait(3);
  Effect.fade_out(2);
  stop_music(4);
  wait(4);
  end_cutscene();
  Level.finish(true);
}

state_idx <- 0;
states <- { init=0, start=1, scene2=2};
function trigger_state(state) {
  local idx = states[state];
  if(!idx || idx <= state_idx)
    return;
  state_idx = idx;
  switch(state) {
    case "start":
      initialize();
      break;
	case "scene2":
      scene2();
      break;
  }
}
