
fade_time <- 0.35;

// ============================================================================
//   AMBIENT LIGHT
// ============================================================================

if("ambient_r" in state && "ambient_g" in state && "ambient_b" in state){
  worldmap.settings.fade_to_ambient_light(state.ambient_r,
                                          state.ambient_g,
                                          state.ambient_b,
                                          0);
}

// ============================================================================
//   UNDERGROUND
// ============================================================================

if(! ("underground" in state)){
	state.underground <- false;
  print("[DEBUG] Underground state initialized\n");
}

function go_underground(under){
  cave_inside.fade(under ? 1 : 0, fade_time);
  cave_light.fade(under ? 1 : 0, fade_time);
  cave_overlayer1.fade(under ? 0 : 1, fade_time);
  cave_overlayer2.fade(under ? 0 : 1, fade_time);
  cave_overlayer3.fade(under ? 0 : 1, fade_time);
  cave_overlayer4.fade(under ? 0 : 1, fade_time);
  cave_overlayer5.fade(under ? 0 : 1, fade_time);
  state.underground <- under;
}

go_underground(state.underground);

// ============================================================================
//   SECRET AREA 1
// ============================================================================

if(! ("hs_secret" in state)){
	state.hs_secret <- false;
  print("[DEBUG] 'Hostile Stalactites' secret road initialized\n");
}

function toggle_secret_road(tilemap, enabled){
  tilemap.fade(enabled ? 1 : 0, fade_time);
  tilemap.set_solid(enabled);
}

toggle_secret_road(hs_secret, state.hs_secret);

// ============================================================================
//   THE LAST CHALLENGE COMPLETION
// ============================================================================

if(! ("tlccompletion" in state)){
  state.tlccompletion <- false;
  print("[DEBUG] The Last Challenge Completion state initialized\\n");
}

function toggle_tlccompletion(id, enabled){
  state["tlccompletion" + id] <- enabled;
  this["tlccompletion" + id + "rock"].fade(enabled ? 0 : 1, fade_time);
  this["tlccompletion" + id + "path"].set_solid(enabled);
}

toggle_tlccompletion("tlccompletion1", state.tlccompletion1);